Bug 1565697 - Errors when launching new terminal in specific directory
Summary: Errors when launching new terminal in specific directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: environment-modules
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:44 UTC by Bastien Nocera
Modified: 2018-04-17 03:11 UTC (History)
4 users (show)

Fixed In Version: environment-modules-4.1.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 03:11:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Bastien Nocera 2018-04-10 14:44:54 UTC
environment-modules-4.1.1-1.fc28.x86_64

When launching a shell in my Downloads folder:

bash: eval: line 43: syntax error near unexpected token `Replay'
bash: eval: line 43: ` Action Replay MAX Duo (GBA, DS) cdroot (2) Motorola Pictures (2005-2006) Sega Ages 2500 Series Vol. 04 - Space Harrier (PS2) _mlshdbg='' ;;'
bash: export: _moduleraw: not a function
bash: export: module: not a function

Comment 1 Garrett LeSage 2018-04-11 13:55:56 UTC
I'm getting a similar issue with zsh:

/usr/share/Modules/init/zsh:8: parse error near `_mlshdbg='''

It works fine in my home directory; opening a new terminal in other directories (like ~/Downloads/ above) causes this issue.

The file is part of environment-modules-4.1.1-1.fc28.x86_64

In my case, the culprit seems to be a file with parenthesis. For whatever reason, I have a file called "Untitled(1)". With Bastien's errors above, I see some of them seem to reference files with parenthesis as well. 

Did something change in escaping somewhere?

Comment 2 Xavier Delaruelle 2018-04-11 19:19:39 UTC
It seems to be the same issue than https://bugzilla.redhat.com/show_bug.cgi?id=1549664.

Issue is due to a lack of quote to protect generated code from parameter expansion.

This issue is fixed in package version 4.1.1-2 and higher.

Comment 3 Fedora Update System 2018-04-12 08:57:36 UTC
environment-modules-4.1.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0a155f383

Comment 4 Fedora Update System 2018-04-13 16:30:42 UTC
environment-modules-4.1.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0a155f383

Comment 5 Fedora Update System 2018-04-17 03:11:13 UTC
environment-modules-4.1.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.